[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#541294: specter: Vanilla install segfaults

Package: specter
Version: 1.4-2+b1
Severity: grave
Justification: renders package unusable

strace start-stop-daemon --start --quiet --exec /usr/sbin/specter -- -d --uid specter --gid specter

open("/etc/specter.conf", O_RDONLY)     = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=3119, ...}) = 0
0) = 0xb7f8a000
read(3, "#\n# Sample configuration file fo"..., 4096) = 3119
_llseek(3, 0, [3119], SEEK_CUR)         = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++

Trial-and-error indicates that it does not seem to like "--gid specter"

(Yes, the group does exist):
# grep specter /etc/group

-- System Information:
Debian Release: 4.0
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (200, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.24-etchnhalf.1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages specter depends on:
ii  adduser             3.102                Add and remove users and groups
ii  iptables       administration tools for packet fi
ii  libc6               2.3.6.ds1-13etch9+b1 GNU C Library: Shared libraries

specter recommends no packages.

-- no debconf information

Reply to: